import { OnInit, EventEmitter, ElementRef } from "@angular/core";
import { NzMessageService } from "ng-zorro-antd";
import { TableService } from '../table.service';
import { SimpleChanges } from '@angular/core';
export declare class BcacCommonTableComponent implements OnInit {
    private nzMessageService;
    private elementRef;
    private tableService;
    constructor(nzMessageService: NzMessageService, elementRef: ElementRef, tableService: TableService);
    redColor: string;
    greenColor: string;
    yellowColor: string;
    grayColor: string;
    checkBoxEmit: EventEmitter<{
        [key: string]: boolean;
    }>;
    tdClickEmit: EventEmitter<any>;
    tdClick(field: string, data: any): void;
    tableSearchValue: string;
    tableloading: boolean;
    bcacLoading: boolean;
    bcacAddEmit: EventEmitter<any>;
    clickAdd(): void;
    bcacBatchDeleteEmit: EventEmitter<any[]>;
    clickBatchDelete(): void;
    BcacBatchDownloadEmit: EventEmitter<any[]>;
    batchDownload(): void;
    bcacDetailEmit: EventEmitter<any>;
    clickDetail(data: any): void;
    bcacEditorEmit: EventEmitter<any>;
    clickEditor(data: any): void;
    bcacDeleteEmit: EventEmitter<any>;
    clickDelete(data: any): void;
    bcacReviewEmit: EventEmitter<any>;
    clickReview(data: any): void;
    trClickConf: {
        open: boolean;
        activeColor: string;
    };
    activeTrId: any;
    trClickEmit: EventEmitter<any>;
    trClick(data: any): void;
    bcacOpenTrClick: boolean;
    bcacTrClickColor: string;
    tableData: any[];
    tableTitle: {
        show: boolean;
        label: string;
    };
    bcacShowTitle: any;
    bcacCloseTitle: any;
    rightFixedOperationColumn: string;
    bcacRightFixedOperationColumn: string;
    colorRange: any;
    tableIconRow: {
        show: boolean;
        iconDivider: boolean;
        addIcon: {
            show: boolean;
            label: string;
        };
        configIcon: {
            show: boolean;
            label: string;
        };
        deleteIcon: {
            show: boolean;
            label: string;
        };
        excelIcon: {
            show: boolean;
            label: string;
        };
        batchDownload: {
            show: boolean;
            label: string;
        };
        searchInput: {
            show: boolean;
        };
        batchReview: {
            show: boolean;
            label: string;
        };
        batchDistributeOrder: {
            show: boolean;
            label: string;
        };
        batchTurnDown: {
            show: boolean;
            label: string;
        };
        batchSubmit: {
            show: boolean;
            label: string;
        };
        batchImport: {
            show: boolean;
            label: string;
        };
        downTemplate: {
            show: boolean;
            label: string;
        };
        newUser: {
            show: boolean;
            label: string;
        };
        newRole: {
            show: boolean;
            label: string;
        };
    };
    bcacShowBatchDistributeOrderIcon: boolean;
    bcacBatchDistributeOrderEmit: EventEmitter<any>;
    clickBatchDistributeOrder(): void;
    bcacCloseIconDivider: boolean;
    bcacShowNewRoleIcon: boolean;
    bcacNewRoleEmit: EventEmitter<any>;
    clickNewRole(): void;
    bcacShowNewUserIcon: boolean;
    bcacNewUserEmit: EventEmitter<any>;
    clickNewUser(): void;
    bcacShowDownTemplateIcon: boolean;
    bcacDownTemplateEmit: EventEmitter<any>;
    clickDownTemplate(): void;
    bcacShowBatchImportIcon: boolean;
    bcacBatchImportEmit: EventEmitter<any>;
    clickBatchImport(): void;
    bcacShowBatchSubmitIcon: boolean;
    bcacBatchSubmitEmit: EventEmitter<any>;
    clickBatchSubmit(): void;
    bcacShowBatchTurnDownIcon: boolean;
    bcacBatchTurnDownEmit: EventEmitter<any>;
    clickBatchTurnDown(): void;
    getCheckedObj(): any[];
    bcacShowBatchReviewIcon: boolean;
    bcacBatchReviewEmit: EventEmitter<any>;
    clickBatchReview(): void;
    bcacCloseTableIcon: any;
    bcacCloseTableAddIcon: any;
    bcacCloseTableConfigIcon: any;
    bcacCloseTableDeleteIcon: any;
    bcacCloseTableExcelIcon: any;
    bcacCloseBatchDownIcon: any;
    bcacCloseTableSearch: any;
    tableContent: {
        show: boolean;
        uniqueIndex: string;
        pagination: {
            show: boolean;
            pageSize: number;
            pageSizeOptions: number[];
        };
        checkBox: {
            show: boolean;
            width: string;
            checkField: string;
        };
        columnOptions: any[];
        rowOperation: {
            show: boolean;
            label: string;
            width: string;
            detailIcon: {
                show: boolean;
                label: string;
            };
            editorIcon: {
                show: boolean;
                label: string;
            };
            deleteIcon: {
                show: boolean;
                label: string;
            };
            reviewIcon: {
                show: boolean;
                label: string;
            };
            reviewRecordIcon: {
                show: boolean;
                label: string;
            };
            previewIcon: {
                show: boolean;
                label: string;
            };
            downloadIcon: {
                show: boolean;
                label: string;
            };
            fillInIcon: {
                show: boolean;
                label: string;
            };
            submitIcon: {
                show: boolean;
                label: string;
            };
            turnDownIcon: {
                show: boolean;
                label: string;
            };
            configIcon: {
                show: boolean;
                label: string;
            };
            distributeOrderIcon: {
                show: boolean;
                label: string;
            };
            clearIcon: {
                show: boolean;
                label: string;
            };
            receiveWorkOrderIcon: {
                show: boolean;
                label: string;
            };
            handleWorkOrderIcon: {
                show: boolean;
                label: string;
            };
            transferWorkOrderIcon: {
                show: boolean;
                label: string;
            };
            menuAuthorityIcon: {
                show: boolean;
                label: string;
            };
        };
    };
    bcacShowHandleWorkOrderRowIcon: boolean;
    bcacRowHandleWorkOrderEmit: EventEmitter<any>;
    clickRowHandleWorkOrder(data: any): void;
    bcacShowTransferWorkOrderRowIcon: boolean;
    bcacRowTransferWorkOrderEmit: EventEmitter<any>;
    clickRowTransferWorkOrder(data: any): void;
    bcacShowReceiveWorkOrderRowIcon: boolean;
    bcacRowReceiveWorkOrderEmit: EventEmitter<any>;
    clickRowReceiveWorkOrder(data: any): void;
    bcacShowClearRowIcon: boolean;
    bcacRowClearEmit: EventEmitter<any>;
    clickRowClear(data: any): void;
    bcacShowDistributeOrderRowIcon: boolean;
    bcacRowDistributeOrderEmit: EventEmitter<any>;
    clickRowDistributeOrder(data: any): void;
    bcacShowConfigRowIcon: boolean;
    bcacRowConfigEmit: EventEmitter<any>;
    clickRowConfig(data: any): void;
    bcacShowSubmitRowIcon: boolean;
    bcacRowSubmitEmit: EventEmitter<any>;
    clickRowSubmit(data: any): void;
    bcacShowdownloadIcon: boolean;
    bcacDownloadEmit: EventEmitter<any>;
    clickDownload(data: any): void;
    bcacFillInEmit: EventEmitter<any>;
    clickFillIn(data: any): void;
    bcacShowPreviewIcon: boolean;
    bcacPreviewEmit: EventEmitter<any>;
    clickPreview(data: any): void;
    bcacTurnDownEmit: EventEmitter<any>;
    clickTurnDown(data: any): void;
    bcacShowReviewRecordIcon: boolean;
    bcacReviewRecordEmit: EventEmitter<any>;
    clickReviewRecord(data: any): void;
    bcacShowMenuAuthorityIcon: boolean;
    bcacMenuAuthorityEmit: EventEmitter<any>;
    clickMenuAuthorityEmit(data: any): void;
    bcacShowReviewIcon: any;
    bcacShowTurnDownRowIcon: any;
    bcacColumnOptions: any;
    bcacCloseRowOperation: any;
    bcacRowOperationWidth: any;
    bcacCloseDetailRowIcon: any;
    bcacShowEditorRowIcon: any;
    bcacShowDeleteRowIcon: any;
    bcacShowFillInRowIcon: any;
    bcacUniqueIndex: any;
    bcacClosePagination: any;
    bcacPageSize: any;
    bcacPageSizeOptions: any;
    bcacCloseCheckBox: any;
    bcacCheckBoxWidth: any;
    bcacCheckField: any;
    isIndeterminate: boolean;
    isAllDisplayDataChecked: boolean;
    listOfDisplayData: any[];
    mapOfCheckedId: {
        [key: string]: boolean;
    };
    currentPageDataChange($event: Array<{
        rid: string;
    }>): void;
    refreshStatus(): void;
    checkAll(value: boolean): void;
    mapOfSort: {
        [key: string]: string | null;
    };
    initMapOfSort(): void;
    sortName: string | null;
    sortValue: string | null;
    sort(sortName: string, value: string): void;
    initFilterListMapBak(): void;
    filterListOfMap: {};
    filterList: any[];
    listOfFilterValueOfMap: {};
    initFilter: any;
    initFilterListMap(): void;
    remove_duplicate(oldlist: any): any;
    filter(event: any, field: any): void;
    searchDropMenuVisible: boolean;
    columnSearchValueMap: {};
    columnSearchList: any[];
    initColumnSearchValueMap(): void;
    reset(value: any): void;
    columnCheckChange(value: object[]): void;
    deleteRowCancel(): void;
    isMulltipleData: boolean;
    tableSourceDatas: {
        label: string;
        value: any[];
    }[];
    bcacOpenMultipleData: boolean;
    selectValue: any;
    dataSelectWidth: string;
    bcacDataSelectWidth: string;
    selectValueChange(data: any): void;
    tabledatas: any;
    initTableSearchValue(): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    tableDataInit(): void;
    searchDropMenuVisibleMap: {
        [key: string]: boolean | null;
    };
    initSearchDropMenuVisibleMap(): void;
    tableData_bak: any[];
    search(): void;
    allChecked: boolean;
    indeterminate: boolean;
    updateAllChecked(): void;
    updateSingleChecked(): void;
    exportExcel(): void;
    columnConfigPanelWidth: string;
    columnConfigWidth: string;
    switchLoadingMap: {};
    switchChange(value: any): void;
    clickSwitch(data: any, index: number, field: string, switchInfo: any): void;
    testLabel2: string;
    getGradientColor(value: any, item: any): any;
    gradient(startColor: any, endColor: any, step: any): any[];
    colorRgb(sColor: any): any;
    colorHex(rgb: any): any;
    getTrClickBackgroundColor(data: any): {
        'background-color': string;
    } | {
        'background-color'?: undefined;
    };
    getEmphasisColor(data: any, emphasisValue: any): string;
}
